CK_RHS_GET(3)

NAME
ck_rhs_get - load a key from a hash set

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_rhs.h>
void *
ck_rhs_get(ck_rhs_t *hs, unsigned long hash, const void *key);

DESCRIPTION
The ck_rhs_get(3) function will return a pointer to a key in the hash set hs that is of equivalent value to the object pointed to by key. The key specified by key is expected to have the hash value specified by the hash argument (which is to have been previously generated using the CK_RHS_HASH(3) macro).

RETURN VALUES
If the provided key is a member of hs then a pointer to the key as stored in hs is returned. If the key was not found in hs then a value of NULL is returned.

ERRORS
Behavior is undefined if entry or hs are uninitialized.

SEE ALSO
ck_rhs_init(3), ck_rhs_move(3), ck_rhs_destroy(3), CK_RHS_HASH(3), ck_rhs_iterator_init(3), ck_rhs_next(3), ck_rhs_put(3), ck_rhs_put_unique(3), ck_rhs_set(3), ck_rhs_fas(3), ck_rhs_remove(3), ck_rhs_grow(3), ck_rhs_rebuild(3), ck_rhs_gc(3), ck_rhs_count(3), ck_rhs_reset(3), ck_rhs_reset_size(3), ck_rhs_stat(3)

Additional information available at http://concurrencykit.org/